/// <reference types="node" />
import { Config } from "./configuration/Config";
import { CallFlowSession, CallFlowTestDefinition } from "./testing/test/CallFlowTestDefinition";
import { Call } from "./call/Call";
export interface TestSubject {
    from: string;
    to: string;
}
export interface TestSession {
    readonly callFlowTestDefinition: CallFlowTestDefinition;
    readonly call: Call;
    readonly callFlowSession: CallFlowSession;
}
export interface TestRunner {
    /**
     * Stops the test runner
     * @param failure - Whether the running being stopped was due to a failure
     *                e.g. some component failed to start, or a test failed
     */
    stop(failure?: boolean): void;
}
declare type OnStopCallback = (failure: boolean) => void;
export interface TestRunnerManager {
    setOnStopCallback: (cb: OnStopCallback) => void;
    testRunner: TestRunner;
}
export declare class IvrTester {
    private readonly config;
    private readonly pluginManager;
    private running;
    constructor(configuration: Config);
    run(call: TestSubject | Buffer, ivrTest: CallFlowTestDefinition[] | CallFlowTestDefinition): Promise<void>;
    private preflightChecks;
}
export {};
