"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.callConnectedTimeout = void 0;
const callConnectedTimeout = ({ msTimeoutWaitingForCall }, consoleLoggerPlugin) => ({
    initialise(eventEmitter, testRunner) {
        eventEmitter.on("callServerStarted", ({ callServer }) => {
            let timeoutCallbackId;
            eventEmitter.on("callRequested", () => {
                clearTimeout(timeoutCallbackId);
                timeoutCallbackId = setTimeout(() => {
                    consoleLoggerPlugin.timedOut(`call did not connect after ${msTimeoutWaitingForCall / 1000}s`);
                    testRunner.stop(true);
                }, msTimeoutWaitingForCall);
            });
            callServer.on("stopped", () => clearTimeout(timeoutCallbackId));
            callServer.on("callConnected", () => clearTimeout(timeoutCallbackId));
        });
    },
});
exports.callConnectedTimeout = callConnectedTimeout;
